com.corticon.rulesemf.viewrulemodel.rulesheet.decisiontable

## Interface DecisiontableFactory

- All Superinterfaces:
    org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface DecisiontableFactory
      extends org.eclipse.emf.ecore.EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `DecisiontablePackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`
    `static DecisiontableFactory` | `eINSTANCE` The singleton instance of the factory

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionItem` | `createActionItem()` Returns a new object of class 'Action Item'
    `ActionSection` | `createActionSection()` Returns a new object of class 'Action Section'
    `ActionValueSetCell` | `createActionValueSetCell()` Returns a new object of class 'Action Value Set Cell'
    `Ambiguity` | `createAmbiguity()` Returns a new object of class 'Ambiguity'
    `Cell` | `createCell()` Returns a new object of class 'Cell'
    `ConditionItem` | `createConditionItem()` Returns a new object of class 'Condition Item'
    `ConditionSection` | `createConditionSection()` Returns a new object of class 'Condition Section'
    `ConditionValueSetCell` | `createConditionValueSetCell()` Returns a new object of class 'Condition Value Set Cell'
    `DecisionTable` | `createDecisionTable()` Returns a new object of class 'Decision Table'
    `ExpressionCell` | `createExpressionCell()` Returns a new object of class 'Expression Cell'
    `FilterItem` | `createFilterItem()` Returns a new object of class 'Filter Item'
    `FilterSection` | `createFilterSection()` Returns a new object of class 'Filter Section'
    `OptimizerResults` | `createOptimizerResults()` Returns a new object of class 'Optimizer Results'
    `RuleColumn` | `createRuleColumn()` Returns a new object of class 'Rule Column'
    `RuleSection` | `createRuleSection()` Returns a new object of class 'Rule Section'
    `RuleStatementItem` | `createRuleStatementItem()` Returns a new object of class 'Rule Statement Item'
    `RuleStatementSection` | `createRuleStatementSection()` Returns a new object of class 'Rule Statement Section'
    `ScopeAlias` | `createScopeAlias()` Returns a new object of class 'Scope Alias'
    `ScopeAssociation` | `createScopeAssociation()` Returns a new object of class 'Scope Association'
    `ScopeAttribute` | `createScopeAttribute()` Returns a new object of class 'Scope Attribute'
    `ScopeEntity` | `createScopeEntity()` Returns a new object of class 'Scope Entity'
    `ScopeFilter` | `createScopeFilter()` Returns a new object of class 'Scope Filter'
    `ScopeFolder` | `createScopeFolder()` Returns a new object of class 'Scope Folder'
    `ScopeNode` | `createScopeNode()` Returns a new object of class 'Scope Node'
    `ScopeSection` | `createScopeSection()` Returns a new object of class 'Scope Section'
    `ScopeSortedAlias` | `createScopeSortedAlias()` Returns a new object of class 'Scope Sorted Alias'
    `ValueSetCell` | `createValueSetCell()` Returns a new object of class 'Value Set Cell'
    `DecisiontablePackage` | `getDecisiontablePackage()` Returns the package supported by this factory

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

    - #### eINSTANCE

          static final DecisiontableFactory eINSTANCE

      The singleton instance of the factory.

  - ### Method Detail

    - #### createActionItem

          ActionItem createActionItem()

      Returns a new object of class 'Action Item'.
      Returns:
        a new object of class 'Action Item'.

    - #### createActionSection

          ActionSection createActionSection()

      Returns a new object of class 'Action Section'.
      Returns:
        a new object of class 'Action Section'.

    - #### createCell

          Cell createCell()

      Returns a new object of class 'Cell'.
      Returns:
        a new object of class 'Cell'.

    - #### createConditionItem

          ConditionItem createConditionItem()

      Returns a new object of class 'Condition Item'.
      Returns:
        a new object of class 'Condition Item'.

    - #### createConditionSection

          ConditionSection createConditionSection()

      Returns a new object of class 'Condition Section'.
      Returns:
        a new object of class 'Condition Section'.

    - #### createExpressionCell

          ExpressionCell createExpressionCell()

      Returns a new object of class 'Expression Cell'.
      Returns:
        a new object of class 'Expression Cell'.

    - #### createScopeAssociation

          ScopeAssociation createScopeAssociation()

      Returns a new object of class 'Scope Association'.
      Returns:
        a new object of class 'Scope Association'.

    - #### createScopeAttribute

          ScopeAttribute createScopeAttribute()

      Returns a new object of class 'Scope Attribute'.
      Returns:
        a new object of class 'Scope Attribute'.

    - #### createScopeEntity

          ScopeEntity createScopeEntity()

      Returns a new object of class 'Scope Entity'.
      Returns:
        a new object of class 'Scope Entity'.

    - #### createScopeFolder

          ScopeFolder createScopeFolder()

      Returns a new object of class 'Scope Folder'.
      Returns:
        a new object of class 'Scope Folder'.

    - #### createScopeNode

          ScopeNode createScopeNode()

      Returns a new object of class 'Scope Node'.
      Returns:
        a new object of class 'Scope Node'.

    - #### createScopeFilter

          ScopeFilter createScopeFilter()

      Returns a new object of class 'Scope Filter'.
      Returns:
        a new object of class 'Scope Filter'.

    - #### createScopeSection

          ScopeSection createScopeSection()

      Returns a new object of class 'Scope Section'.
      Returns:
        a new object of class 'Scope Section'.

    - #### createFilterItem

          FilterItem createFilterItem()

      Returns a new object of class 'Filter Item'.
      Returns:
        a new object of class 'Filter Item'.

    - #### createFilterSection

          FilterSection createFilterSection()

      Returns a new object of class 'Filter Section'.
      Returns:
        a new object of class 'Filter Section'.

    - #### createRuleColumn

          RuleColumn createRuleColumn()

      Returns a new object of class 'Rule Column'.
      Returns:
        a new object of class 'Rule Column'.

    - #### createRuleSection

          RuleSection createRuleSection()

      Returns a new object of class 'Rule Section'.
      Returns:
        a new object of class 'Rule Section'.

    - #### createDecisionTable

          DecisionTable createDecisionTable()

      Returns a new object of class 'Decision Table'.
      Returns:
        a new object of class 'Decision Table'.

    - #### createRuleStatementItem

          RuleStatementItem createRuleStatementItem()

      Returns a new object of class 'Rule Statement Item'.
      Returns:
        a new object of class 'Rule Statement Item'.

    - #### createRuleStatementSection

          RuleStatementSection createRuleStatementSection()

      Returns a new object of class 'Rule Statement Section'.
      Returns:
        a new object of class 'Rule Statement Section'.

    - #### createValueSetCell

          ValueSetCell createValueSetCell()

      Returns a new object of class 'Value Set Cell'.
      Returns:
        a new object of class 'Value Set Cell'.

    - #### createScopeAlias

          ScopeAlias createScopeAlias()

      Returns a new object of class 'Scope Alias'.
      Returns:
        a new object of class 'Scope Alias'.

    - #### createConditionValueSetCell

          ConditionValueSetCell createConditionValueSetCell()

      Returns a new object of class 'Condition Value Set Cell'.
      Returns:
        a new object of class 'Condition Value Set Cell'.

    - #### createActionValueSetCell

          ActionValueSetCell createActionValueSetCell()

      Returns a new object of class 'Action Value Set Cell'.
      Returns:
        a new object of class 'Action Value Set Cell'.

    - #### createOptimizerResults

          OptimizerResults createOptimizerResults()

      Returns a new object of class 'Optimizer Results'.
      Returns:
        a new object of class 'Optimizer Results'.

    - #### createAmbiguity

          Ambiguity createAmbiguity()

      Returns a new object of class 'Ambiguity'.
      Returns:
        a new object of class 'Ambiguity'.

    - #### createScopeSortedAlias

          ScopeSortedAlias createScopeSortedAlias()

      Returns a new object of class 'Scope Sorted Alias'.
      Returns:
        a new object of class 'Scope Sorted Alias'.

    - #### getDecisiontablePackage

          DecisiontablePackage getDecisiontablePackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.